Package org.eclipse.jface.contentassist

# Class AbstractControlContentAssistSubjectAdapter

java.lang.Object
org.eclipse.jface.contentassist.AbstractControlContentAssistSubjectAdapter

All Implemented Interfaces:
  `IContentAssistSubjectControl`

Direct Known Subclasses:
  `ComboContentAssistSubjectAdapter`, `TextContentAssistSubjectAdapter`

@Deprecated public abstract class AbstractControlContentAssistSubjectAdapter extends Object implements IContentAssistSubjectControl
Deprecated.
As of 3.2, replaced by Platform UI's field assist support
An `AbstractControlContentAssistSubjectAdapter` delegates assistance requests from a content assistant to a `Control`. A visual feedback can be configured via `setContentAssistCueProvider(ILabelProvider)`.

Since:
  3.0

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final boolean`
`DEBUG`
Deprecated.

## Constructor Summary

Constructors
Constructor
Description
`AbstractControlContentAssistSubjectAdapter()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`addKeyListener(KeyListener keyListener)`
Deprecated.
`boolean`
`appendVerifyKeyListener(VerifyKeyListener verifyKeyListener)`
Deprecated.
`abstract Control`
`getControl()`
Deprecated.
`String`
`getLineDelimiter()`
Deprecated.
`boolean`
`prependVerifyKeyListener(VerifyKeyListener verifyKeyListener)`
Deprecated.
`void`
`removeKeyListener(KeyListener keyListener)`
Deprecated.
`void`
`removeVerifyKeyListener(VerifyKeyListener verifyKeyListener)`
Deprecated.
`void`
`setContentAssistCueProvider(ILabelProvider labelProvider)`
Deprecated.
`void`
`setEventConsumer(IEventConsumer eventConsumer)`
Deprecated.
`boolean`
`supportsVerifyKeyListener()`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.contentassist.IContentAssistSubjectControl

`addSelectionListener, getCaretOffset, getDocument, getLineHeight, getLocationAtOffset, getSelectedRange, getWidgetSelectionRange, removeSelectionListener, revealRange, setSelectedRange`

## Field Details

### DEBUG

@Deprecated protected static final boolean DEBUG
Deprecated.

## Constructor Details

### AbstractControlContentAssistSubjectAdapter

@Deprecated public AbstractControlContentAssistSubjectAdapter()
Deprecated.
Creates a new `AbstractControlContentAssistSubjectAdapter`.

## Method Details

### getControl

@Deprecated public abstract Control getControl()
Deprecated.
Description copied from interface: `IContentAssistSubjectControl`
Returns the control of this content assist subject control.

Specified by:
  `getControl` in interface `IContentAssistSubjectControl`
Returns:
  the control of this content assist subject control

### addKeyListener

@Deprecated public void addKeyListener(KeyListener keyListener)
Deprecated.
Description copied from interface: `IContentAssistSubjectControl`
Adds the listener to the collection of listeners who will be notified when keys are pressed and released on the system keyboard, by sending it one of the messages defined in the `KeyListener` interface.

Specified by:
  `addKeyListener` in interface `IContentAssistSubjectControl`
Parameters:
  `keyListener` - the listener which should be notified
See Also:
  - `KeyListener`
  - `IContentAssistSubjectControl.removeKeyListener(KeyListener)`

### removeKeyListener

@Deprecated public void removeKeyListener(KeyListener keyListener)
Deprecated.
Description copied from interface: `IContentAssistSubjectControl`
Removes the listener from the collection of listeners who will be notified when keys are pressed and released on the system keyboard.

Specified by:
  `removeKeyListener` in interface `IContentAssistSubjectControl`
Parameters:
  `keyListener` - the listener which should be notified
See Also:
  - `KeyListener`
  - `IContentAssistSubjectControl.addKeyListener(KeyListener)`

### supportsVerifyKeyListener

@Deprecated public boolean supportsVerifyKeyListener()
Deprecated.
Description copied from interface: `IContentAssistSubjectControl`
Tests whether a verify key listener can be added either using `prependVerifyKeyListener` or `IContentAssistSubjectControl.appendVerifyKeyListener(VerifyKeyListener)`.

Specified by:
  `supportsVerifyKeyListener` in interface `IContentAssistSubjectControl`
Returns:
  `true` if adding verify key listeners is supported

### appendVerifyKeyListener

@Deprecated public boolean appendVerifyKeyListener(VerifyKeyListener verifyKeyListener)
Deprecated.
Description copied from interface: `IContentAssistSubjectControl`
If supported, appends a verify key listener to the viewer's list of verify key listeners. If the listener is already registered with the viewer this call moves the listener to the end of the list.

Note: This content assist subject control may not support appending a verify listener, in which case `false` will be returned. If this content assist subject control only supports `addVerifyKeyListener` then this method can be used but `prependVerifyKeyListener` must return `false`.

Specified by:
  `appendVerifyKeyListener` in interface `IContentAssistSubjectControl`
Parameters:
  `verifyKeyListener` - the listener to be added
Returns:
  `true` if the listener was added

### prependVerifyKeyListener

@Deprecated public boolean prependVerifyKeyListener(VerifyKeyListener verifyKeyListener)
Deprecated.
Description copied from interface: `IContentAssistSubjectControl`
If supported, inserts the verify key listener at the beginning of this content assist subject's list of verify key listeners. If the listener is already registered with the viewer this call moves the listener to the beginning of the list.

Note: This content assist subject control may not support prepending a verify listener, in which case `false` will be returned. However, `IContentAssistSubjectControl.appendVerifyKeyListener(VerifyKeyListener)` might work.

Specified by:
  `prependVerifyKeyListener` in interface `IContentAssistSubjectControl`
Parameters:
  `verifyKeyListener` - the listener to be inserted
Returns:
  `true` if the listener was added

### removeVerifyKeyListener

@Deprecated public void removeVerifyKeyListener(VerifyKeyListener verifyKeyListener)
Deprecated.
Description copied from interface: `IContentAssistSubjectControl`
Removes the verify key listener from this content assist subject control's list of verify key listeners. If the listener is not registered, this call has no effect.

Specified by:
  `removeVerifyKeyListener` in interface `IContentAssistSubjectControl`
Parameters:
  `verifyKeyListener` - the listener to be removed

### setEventConsumer

@Deprecated public void setEventConsumer(IEventConsumer eventConsumer)
Deprecated.
Description copied from interface: `IContentAssistSubjectControl`
If supported, registers an event consumer with this content assist subject.

Specified by:
  `setEventConsumer` in interface `IContentAssistSubjectControl`
Parameters:
  `eventConsumer` - the content assist subject control's event consumer. `null` is a valid argument.

### getLineDelimiter

@Deprecated public String getLineDelimiter()
Deprecated.
Description copied from interface: `IContentAssistSubjectControl`
Returns the line delimiter used for entering new lines by key down or paste operation.

Specified by:
  `getLineDelimiter` in interface `IContentAssistSubjectControl`
Returns:
  line delimiter used for entering new lines by key down or paste operation

### setContentAssistCueProvider

@Deprecated public void setContentAssistCueProvider(ILabelProvider labelProvider)
Deprecated.
Sets the visual feedback provider for content assist. The given `ILabelProvider` methods are called with `getControl()` as argument.

- `getImage(Object)` provides the visual cue image. The image can maximally be 5 pixels wide and 8 pixels high. If `getImage(Object)` returns `null`, a default image is used.
- `getText(Object)` provides the hover info text. It is shown when hovering over the cue image or the adapted `Control`. No info text is shown if `getText(Object)` returns `null`.

The given `ILabelProvider` becomes owned by the `AbstractControlContentAssistSubjectAdapter`, i.e. it gets disposed when the adapted `Control` is disposed or when another `ILabelProvider` is set.

Parameters:
  `labelProvider` - a `ILabelProvider`, or `null` if no visual feedback should be shown